Subject: Re: [PATCH net v2 0/2] openvswitch: fix self-deadlock on release of tunnel vports

From: [email-masked]
Date: Tue, 05 May 2026 13:30:09 +0000

Hello:

This series was applied to netdev/net.git (main)
by Paolo Abeni <[email-masked]>:

On Fri,  1 May 2026 01:38:36 +0200 you wrote:
> Two patches - the fix for the actual bug and the selftest that reproduces it.
> 
> I missed the self-deadlock in the original patch that introduced the issue,
> because testing required code modification in the ovs-vswitchd to force it to
> use legacy tunnel ports.  I thought I made the change correctly, but apparently
> something went wrong and the tests were run with the standard LWT infra instead.
> The selftest added in this patch set will at least prevent this kind of mistakes
> in the future.
> 
> [...]

Here is the summary with links:
  - [net,v2,1/2] openvswitch: vport: fix self-deadlock on release of tunnel ports
    https://git.kernel.org/netdev/net/c/aa69918bd418
  - [net,v2,2/2] selftests: openvswitch: add tests for tunnel vport refcounting
    https://git.kernel.org/netdev/net/c/05416ada37aa

You are awesome, thank you!
-- 
Deet-doot-dot, I am a bot.
https://korg.docs.kernel.org/patchwork/pwbot.html